from gridworld import run


def main():
    # Feel free to play around with these parameters.

    run(grid="CliffGrid",  # available grids are: BookGrid, MazeGrid, CliffGrid, CliffGrid2, DiscountGrid, BridgeGrid, FrozenLake
        agent="q",  # The reinforcement learning agent to use "q" Q-learning and "sarsa" for SARSA
        learningRate=0.1,  # The learning rate
        epsilon=0.1,  # for epsilon greedy exploration
        episodes=100,  # Number of episodes the agent performs in the environment
        quiet=False,  # whether to render the learning process or not
        # the reward an agent receives just for making a time step.
        livingReward=0,
        noise=0.,  # the probability of landing in a state that was not intended by the action, so moving in a different direction than desired
        discount=0.9,  # future reward discount factor
        speed=1.,  # How fast the agents takes a step
        # the resolution of the cells. If your monitor has a high resolution, you might want to increase this value.
        gridSize=200,
        )


if __name__ == "__main__":
    main()
